Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2669423004: history_api -> UIThreadExtensionFunction. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 3 weeks ago by lazyboy (OOO Fri May 26)
Modified:
3 months, 1 week ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

history_api -> UIThreadExtensionFunction. This removes direct usage of AsyncExtensionFunction::error_/results_. BUG=648275 Test=None, compile. Review-Url: https://codereview.chromium.org/2669423004 Cr-Commit-Position: refs/heads/master@{#451358} Committed: https://chromium.googlesource.com/chromium/src/+/df7686e843360e2ae174bda45648708b59653830

Patch Set 1 #

Total comments: 6

Patch Set 2 : remove extra PostTasks #

Patch Set 3 : sync #

Messages

Total messages: 29 (17 generated)
lazyboy (OOO Fri May 26)
3 months, 3 weeks ago (2017-02-03 19:54:11 UTC) #2
Devlin (US Holiday May 29)
https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc File chrome/browser/extensions/api/history/history_api.cc (right): https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc#newcode261 chrome/browser/extensions/api/history/history_api.cc:261: void HistoryFunctionWithCallback::SendAsyncResponse( Do we have to SendAsyncResponse in order ...
3 months, 3 weeks ago (2017-02-03 22:30:53 UTC) #3
lazyboy (OOO Fri May 26)
https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc File chrome/browser/extensions/api/history/history_api.cc (right): https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc#newcode261 chrome/browser/extensions/api/history/history_api.cc:261: void HistoryFunctionWithCallback::SendAsyncResponse( On 2017/02/03 22:30:53, Devlin wrote: > Do ...
3 months, 3 weeks ago (2017-02-03 23:49:06 UTC) #4
Devlin (US Holiday May 29)
https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc File chrome/browser/extensions/api/history/history_api.cc (right): https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc#newcode261 chrome/browser/extensions/api/history/history_api.cc:261: void HistoryFunctionWithCallback::SendAsyncResponse( On 2017/02/03 23:49:06, lazyboy wrote: > On ...
3 months, 3 weeks ago (2017-02-06 16:09:26 UTC) #5
lazyboy (OOO Fri May 26)
Sorry about the delay, lost track of this CL. Please take another look. https://codereview.chromium.org/2669423004/diff/1/chrome/browser/extensions/api/history/history_api.cc File ...
3 months, 2 weeks ago (2017-02-14 00:55:30 UTC) #8
Devlin (US Holiday May 29)
lgtm!
3 months, 2 weeks ago (2017-02-15 00:01:00 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2669423004/20001
3 months, 1 week ago (2017-02-15 23:30:21 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_daisy_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) linux_chromium_asan_rel_ng on ...
3 months, 1 week ago (2017-02-16 01:34:46 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2669423004/20001
3 months, 1 week ago (2017-02-17 02:50:52 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: android_compile_dbg on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_compile_dbg/builds/213962) android_cronet on master.tryserver.chromium.android (JOB_FAILED, ...
3 months, 1 week ago (2017-02-17 02:54:28 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2669423004/40001
3 months, 1 week ago (2017-02-17 18:58:00 UTC) #26
commit-bot: I haz the power
3 months, 1 week ago (2017-02-17 19:53:09 UTC) #29
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/df7686e843360e2ae174bda45648...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06